Changes between Version 54 and Version 55 of python


Ignore:
Timestamp:
Nov 26, 2012, 11:14:21 PM (8 years ago)
Author:
Leon Kos
Comment:

Projektna naloga 130

Legend:

Unmodified
Added
Removed
Modified
  • python

    v54 v55  
    843843* [[http://trac.lecad.si/vaje/wiki/OpenCascade|MakeBottleCAD(C++)]]
    844844
    845 == vaja 120 ==
     845== vaja120 ==
    846846S pomočjo štirih točk v prostoru izdelaj štrikotnik s stranico a. Vse točke naj imajo enako z os.
    847847Površino izvleči v smeri vektorja vec{v}, ki ni enak vektorju normale izvlečene površine.
    848848Vektor vec{v} in stranico a podamo programu na začetku.
    849849
    850 == vaja 121 ==
     850== vaja121 ==
    851851V izhodišče lokalnega koordinatnega sistema postavite kocko s stranico a. Na sredino zgornje ploskve
    852852postavite valj premera r, v smeri normale površine na katero je valj postavljen.
     
    858858}}}
    859859
    860 == vaja 122 ==
     860== vaja122 ==
    861861Vajo 121 izdelajte na naslednji način:
    862862* Štirikotnik narišemo s štirimi točkami v prostoru, ki jih povežemo skupaj.
     
    869869}}}
    870870
    871 == vaja 123 ==
     871== vaja123 ==
    872872Izdelajte mrežo iz točk P1(-10, -10, 0), P2 (-10, -20, 0) in P3(10, -10, 0).
    873873Za mrežo izdelajte prizmo jo obarvajte (display.DisplayColoredShape(myShape, 'GREEN')).
     
    881881
    882882
    883 == vaja 124 ==
     883== vaja124 ==
    884884Izdelajte kocko s stranico a (uporabite funkcijo BRepPrimAPI_MakeBox). Na vseh robovih kocke izdelajte zaokrožitve velikosti a/10.
    885885{{{
     
    894894}}}
    895895
    896 == vaja 125 ==
     896== vaja125 ==
    897897Izdelajte valj tako, da osnovno površino izdelate z uporabo krožnih lokov.
    898898Uporabite funkcijo:
     
    904904Kocko izrišite v rjavi barvi (primer spremembe barve display.DisplayColoredShape(myShape, 'GREEN')).
    905905
    906 == vaja 126 ==
     906== vaja126 ==
    907907Izdelajte valj velikosti myHeight in radija R in ga postavite v izhodišče. Na valj postavite kocko s stranico A.
    908908Na kocki zaokrožite vse robove z radijem A/10. Kocko in valj združite s funkcijo:
     
    922922ter model prikažite na zaslonu.
    923923
    924 == vaja 127 ==
     924== vaja127 ==
    925925Z zrcaljenjem preko X osi izdelajte poenostavljen IPE200 profil (poenostavljen pomeni, da je brez zaokrožitev).
    926926Dolžina IPE200 profila naj bo 200mm. 3D model IPE200 profila prikažite na zaslonu.
    927927
    928 == vaja 128 ==
     928== vaja128 ==
    929929S pomočjo funkcije za izdelavo krožnega loka izdelajte polkrog z radijem R:
    930930{{{
     
    945945Končen 3D model prikažite na zaslonu.
    946946
    947 == vaja 129 ==
     947== vaja129 ==
    948948Iz tanke pločevine (1mm) izdelajte škatlo s stranico 10mm (definirati morate toliko oblik, kolikor je stranic), ki je na eni strani
    949949odprta.
     
    975975ter končen sestav prikažite na zaslonu.
    976976
    977 
     977== vaja130 ==
     978Izdelajte modularni projekt sestavljen iz dveh PythonOcc modelov. Skupni program vaja130.py naj uvozi oba CAD modela, ki sta v ločenih datotekah.
     979Vsak CAD model naj se prikaže tako ločeno, kot tudi v skupnem modelu s tem, da vsak vsebuje pogojno izvajanje glavnega programa z
     980{{{
     981#!python
     982if __name__ == '__main__':
     983    # koda za izdelavo in prikaz modela
     984}}}
     985CAD modela naj imata kot argumente funkcije osnovne parametre in naj vrneta model za prikaz.
     986Na primer:
     987{{{
     988#!python
     989def make_bottle(myWidth, myThickness, myHeight):
     990   ...
     991   return aRes
     992}}}
     993Drugi model naj bo iz skupine vaja126-vaja129. Postavitev modelov naj bo taka, da steklenica sledi eni od mer (parametra) drugega modela.